<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TravelOrganizer
 *
 * @ORM\Table(name="travel_organizer")
 * @ORM\Entity
 */
class TravelOrganizer
{
    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=255, nullable=true)
     */
    private $name;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="rules_updated", type="date", nullable=true)
     */
    private $rulesUpdated;

    /**
     * @var string
     *
     * @ORM\Column(name="file_name", type="string", length=255, nullable=true)
     */
    private $fileName;

    /**
     * @var integer
     *
     * @ORM\Column(name="cms_id", type="integer", nullable=true)
     */
    private $cmsId;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set name
     *
     * @param string $name
     *
     * @return TravelOrganizer
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set rulesUpdated
     *
     * @param \DateTime $rulesUpdated
     *
     * @return TravelOrganizer
     */
    public function setRulesUpdated($rulesUpdated)
    {
        $this->rulesUpdated = $rulesUpdated;

        return $this;
    }

    /**
     * Get rulesUpdated
     *
     * @return \DateTime
     */
    public function getRulesUpdated()
    {
        return $this->rulesUpdated;
    }

    /**
     * Set fileName
     *
     * @param string $fileName
     *
     * @return TravelOrganizer
     */
    public function setFileName($fileName)
    {
        $this->fileName = $fileName;

        return $this;
    }

    /**
     * Get fileName
     *
     * @return string
     */
    public function getFileName()
    {
        return $this->fileName;
    }

    /**
     * Set cmsId
     *
     * @param integer $cmsId
     *
     * @return TravelOrganizer
     */
    public function setCmsId($cmsId)
    {
        $this->cmsId = $cmsId;

        return $this;
    }

    /**
     * Get cmsId
     *
     * @return integer
     */
    public function getCmsId()
    {
        return $this->cmsId;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
}
